# Configuration file for Synapse.
#
# This is a YAML file: see [1] for a quick introduction. Note in particular
# that *indentation is important*: all the elements of a list or dictionary
# should have the same indentation.
#
# [1] https://docs.ansible.com/ansible/latest/reference_appendices/YAMLSyntax.html
#
# For more information on how to configure Synapse, including a complete accounting of
# each option, go to docs/usage/configuration/config_documentation.md or
# https://element-hq.github.io/synapse/latest/usage/configuration/config_documentation.html
server_name: "matrix.anarchistlaboratory.live"
pid_file: /data/homeserver.pid
listeners:
  - port: 8008
    tls: false
    type: http
    x_forwarded: true
    resources:
      - names: [client, federation]
        compress: false
database:
  name: psycopg2
  args:
    user: synapse
    password: bdsuVeGpL0CzNG1M3iEk
    dbname: synapse
    host: postgres
    cp_min: 5
    cp_max: 10

log_config: "/data/matrix.anarchistlaboratory.live.log.config"
media_store_path: /data/media_store
registration_shared_secret: "~ouD~*3Q^;;5ddpJV-k.UF=G7^Mkg4eBDXQZ@#P-p^n+-FhQF~"
enable_registration: true
registration_requires_token: true
report_stats: false
macaroon_secret_key: "QOsa1,,7P7uopN9&DT@T*OK76P5O.;CqH^wm^mvQefE@rQkU#5"
form_secret: "~f~p:~bx6O2c.Fgxal_cBSk@tFC_.UHwaJ,t^^3~pF5f*a-vTJ"
signing_key_path: "/data/matrix.anarchistlaboratory.live.signing.key"
trusted_key_servers:
  - server_name: "matrix.org"
room_list_publication_rules:
  - action: allow


# vim:ft=yaml
